Subject: Re: cygwin not respecting --without-newlib?
From: Nicholas Wourms <[email-masked]>
To: Nathanael Nerode <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 13 Jul 2002 12:38:19 -0700 (PDT)

--- Christopher Faylor <[email-masked]> wrote:
> On Sat, Jul 13, 2002 at 01:30:20PM -0400, Nathanael Nerode wrote:
> >On Sat, Jul 13, 2002 at 12:09:09AM -0400, Christopher Faylor wrote:
> >> On Tue, Jul 09, 2002 at 02:15:44PM -0400, Nathanael Nerode wrote:
> >> >On Tue, Jul 09, 2002 at 02:06:31PM -0400, DJ Delorie wrote:
> >> >> 
> >> >> Cygwin *is* newlib.  When you build the cygwin DLL (cygwin1.dll)
> it
> >> >> directly incorporates the newlib objects into it.  So, you must
> always
> >> >> build newlib when you're building cygwin, and anything built for
> >> >> cygwin is being built for newlib.
> >> >
> >> >OK; I'm not sure this helps me. :-)
> >> >
> >> >Suppose you're building a combined tree targeting Cygwin.  What
> should
> >> >it mean to specify --without-newlib?  
> >> >
> >> >Should it mean "Don't build or use the newlib in the tree: use the
> >> >preinstalled Cygwin libraries, or the ones I specified with
> --with-libs
> >> >and --with-headers"?
> >> >
> >> >Should it simply be illegal, and result in an error message?
> >> 
> >> If there is a newlib in the tree, cygwin will attempt to use it. 
> Hence,
> >> --without-newlib should be illegal for a cygwin target.
> >> 
> >> cgf
> >What if you're not building winsup, but are building gcc (or gdb, or
> >libstdc++-v3, etc.) for a cygwin target?  Is this even possible?
> 
> Yes.  I guess in that case, if there is no winsup directory but there is
> a
> newlib directory, then --without-newlib could make sense.  That's
> probably
> a pretty unusual situation, but you do have to account for it.
> 
> It might make sense to have a --without-winsup which implied
> --without-newlib.
> --without-winsup would eliminate any *-target-winsup considerations.
> 
> So, I'd propose
> 
> 1) Specified --without-winsup?
>    If yes then turn off winsup and newlib
> 
> 2) Specified --without-newlib?
>    If yes, check for existence of winsup and, if it exists, issue
>    error suggsting --without-winsup.
>    Otherwise, remove *-target-newlib from consideration.

A small request, can we considier dropping the i686-pc-cygwin directory as
default for "native" builds of the winsup CVS module?  IMHO, 'make
install' should put everything into a single set of directories under a
prefix specified by the --prefix= option.  As it currently stands, cygwin
stuff is dumped in $PREFIX, while newlib/mingw/w32api stuff is dumped in
$PREFIX/i686-pc-cygwin.  Perhaps there once was a reason for this, but
currently I see none.  On a side note, it would be nice if 'make install'
would honor the $DESTDIR variable when it is passed at runtime.  Other
then those two gnits, thank you for taking the time to clean up the
scripts (so far it is looking real good!).

Cheers,
Nichola

__________________________________________________
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes
http://autos.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/